unit FlipUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls;

type
  TFlipForm = class(TForm)
    OKBtn: TButton;
    CancelBtn: TButton;
    RotateRG: TRadioGroup;
    GroupBox1: TGroupBox;
    HorzCB: TCheckBox;
    VertCB: TCheckBox;
    Bevel1: TBevel;
    RotateCB: TCheckBox;
    procedure FormShow(Sender: TObject);
    procedure RotateCBClick(Sender: TObject);
    procedure OKBtnClick(Sender: TObject);
  private
    { Private declarations }
    procedure EnableRotate;
  public
    { Public declarations }
  end;

var
  FlipForm: TFlipForm;

implementation

uses MainUnit;

{$R *.DFM}

procedure TFlipForm.EnableRotate;
begin
  RotateRG.Enabled := RotateCB.Checked;
end;

procedure TFlipForm.FormShow(Sender: TObject);
begin
  RotateCB.Checked := false;
  VertCB.Checked := false;
  HorzCB.Checked := false;
  EnableRotate;
end;

procedure TFlipForm.RotateCBClick(Sender: TObject);
begin
  EnableRotate;
end;

procedure TFlipForm.OKBtnClick(Sender: TObject);
begin
  Hide;
  with MainForm do begin
    if HorzCB.Checked then FlipHorz;
    if VertCB.Checked then FlipVert;

    if RotateCB.Checked then
      if RotateRG.ItemIndex = 0 then
        Rotate90
      else
        Rotate270;

    PaintImage;
  end;
end;

end.

